@extends('layout.app')
@section('title')
    <title>DICE</title>
    <meta name="description" content="At DICE, we work hard to create a comprehensive program that is tailored to your unique needs and requirements. We recognize that results alone are not nearly as essential as pleasant outcomes. Our ultimate goal thus, is for our participants to experience success; this is our passion. We don't just have one program that works for everyone; instead, we will take the time to get to know you and your family's requirements."/>
    <meta name="og:title" content="DICE"/>
    <meta name="og:image" content="{{url($sliders->first()->image)}}"/>
@endsection
@section('content')
    <!-- Slider -->
    <div id="carouselExampleCaptions" class="carousel slide" data-bs-ride="carousel">
        <div class="carousel-indicators">
            @foreach($sliders as $slider)
                <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="{{$loop->index}}" class="{{$loop->first ? 'active' : ''}}" aria-current="{{$loop->first ? 'true' : ''}}"></button>
            @endforeach
        </div>
        <div class="carousel-inner">
            @foreach($sliders as $slider)
            <div class="carousel-item {{$loop->first ? 'active' : ''}}">
                <div class="slider-image">
                    <img src="{{url('storage/'.$slider->image ?? 'frontend/images/banner-two.png')}}" class="d-block w-100" alt="...">
                </div>
                <div class="slider-content">
                    <h3>{{$slider->title}}</h3>
                    <p>{!!strip_tags($slider->description)!!}</p>
                    <a href="contact">Get a Free Consultation</a>
                </div>
            </div>
            @endforeach
            
        </div>
        <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Previous</span>
        </button>
        <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="visually-hidden">Next</span>
        </button>
    </div>
    <!-- Slider -->
    <!-- NDIS section -->
    <section class="ndis-section">
        <div class="row">
            <div class="col-md-5">
                <div class="ndis-left-desc">
                    <h1>Registered NDIS Provider</h1>
                    <p>We are registered NDIS service provider for people with disability.</p>
                </div>
                <div class="ndis-love">
                    <a target = "_blank" href="https://www.ndis.gov.au" class="ndis-view-btn">View More</a>
                    <img src="{{url('frontend/images/ndis-love.png')}}"/>
                </div>
            </div>
            <span class="col-md-1 box-border"></span>
            <div class="col-md-6">
                <div class="ndis-desc">
                    <h2>The National Insurance Disability Scheme (NDIS)</h2>
                    <p>The NDIS offers financial assistance to eligible individuals with disabilities so they can spend more time with their loved ones, be more independent, have access to volunteering opportunities in their community and new skills, all of which improves their quality of life. We are a recognized NDIS service provider, assisting you or a loved one in requesting and acquiring optimum services for new or ongoing plans.</p>
                </div>
            </div>
        </div>
    </section>
  
  

    <!-- acknowledgement section -->
    <section class="acknowledgement-section">
        <div class="row">
            <div class="col-md-12 text-center">
                <!-- <div class="img-block">
                    <img src="{{url('frontend/images/flag.png')}}" class="img-fluid" alt="">
                </div> -->
            </div>
            <div class="col-md-12">
                <div class="acknowledgement-desc">
                    <!-- <h1>Acknowledgement of Country</h1>
                    <p>DICE recognise the rich indigenous heritage of this country and acknowledge the Wurundjeri Willum Clan and the Gunung-Willam-Balluk people as the traditional owners of the land. We pay our respects to the people, the cultures and the elders past, present and emerging.</p> -->
                    <h1>
                        <i class="img-block"><img src="{{url('frontend/images/Gunung-Willam-Balluk.jpg')}}" class="img-fluid" alt=""></i> Acknowledgement of Country <i class="img-block"><img src="{{url('frontend/images/Wurundjeri-Willum-Clan.jpg')}}" class="img-fluid" alt=""></i></h1>
                    <p>DICE recognise the rich Indigenous heritage of this country and acknowledge the Wurundjeri Willum Clan and the Gunung-Willam-Balluk people as the traditional owners of the land. We pay our respects to the people, the cultures and the elders past, present and emerging.</p>
                </div>
            </div>
        </div>
    </section>
    <!-- acknowledgement section -->

@endsection
@section('script')
    <script>
        var $slider = $('.customer-review');
        $slider.slick({
            slidesToShow: 3,
            slidesToScroll: 1,
            autoplay: true,
            autoplaySpeed: 4000,
            prevArrow: false,
            nextArrow: false,
            dots: true,
            centerMode: false,
            responsive: [
                {
                    breakpoint: 1024,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 1,
                        infinite: true,
                        dots: false
                    }
                },
                {
                    breakpoint: 600,
                    settings: {
                        slidesToShow: 2,
                        slidesToScroll: 1
                    }
                },
                {
                    breakpoint: 480,
                    settings: {
                        slidesToShow: 1,
                        slidesToScroll: 1
                    }
                }
            ]
        });


        var subsfnamError = document.getElementById('subs-fname-error');
        var subsEmailError = document.getElementById('subs-email-error');

        function subsFname() {
            if (document.getElementById('subs-fname').value.length == 0) {
                $('#subs-fname').focus();
                subsfnamError.innerHTML = 'Please enter your Full Name !!';
                return false;
            } else {
                subsfnamError.innerHTML = '';
                return true;
            }
        }
        function subsEmail() {
            if (document.getElementById('subs-email').value.length == 0) {
                $('#subs-email').focus();
                subsEmailError.innerHTML = 'Please enter your email !!';
                return false;
            } else {
                subsEmailError.innerHTML = '';
                return true;
            }
        }

        $('#subs_form').on('submit', function (e) {
            e.preventDefault();
            if (!subsFname() || !subsEmail()) {
                return false;
            } else {
                var email = document.getElementById('subs-email');
                var name = document.getElementById('subs-fname');

            $.ajax({

            url: "{{url('/subscribe')}}",
            type:"POST",
            data:{
              email:email.value,
              name:name.value
            },

            success:function(response){

                if (response) {

                    // alert(response.success);
                //   $('#success-message').text(response.success);
                    $('#success').text(response.success);  
                    $('#subsModal').modal('show');

                  email.value = '';
                  name.value = '';
              //   $("#contactForm")[0].reset();
              }
            },
            error: function(response) {

            }

            });
            }
        });
    </script>

@endsection

